Jobs
Durable asynchronous execution.
/v1/jobsAuthorization
bearerAuth In: header
Query Parameters
1 <= value <= 10020Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/jobs"{ "data": [ { "completed_at": 0, "created_at": 0, "error": { "property1": null, "property2": null }, "expires_at": 0, "id": "string", "metadata": { "property1": "string", "property2": "string" }, "object": "job", "operation": "string", "progress": { "property1": null, "property2": null }, "result": { "property1": null, "property2": null }, "result_deleted_at": 0, "started_at": 0, "status": "queued", "usage": { "property1": null, "property2": null } } ], "has_more": true, "last_id": "string", "object": "list"}/v1/jobs/{jobId}Authorization
bearerAuth In: header
Path Parameters
^job_[a-z0-9]{20}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/jobs/string"{ "completed_at": 0, "created_at": 0, "error": { "property1": null, "property2": null }, "expires_at": 0, "id": "string", "metadata": { "property1": "string", "property2": "string" }, "object": "job", "operation": "string", "progress": { "property1": null, "property2": null }, "result": { "property1": null, "property2": null }, "result_deleted_at": 0, "started_at": 0, "status": "queued", "usage": { "property1": null, "property2": null }}/v1/jobs/{jobId}/cancelAuthorization
bearerAuth In: header
Path Parameters
^job_[a-z0-9]{20}$Header Parameters
A unique key used to safely retry a non-streaming POST request.
length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/jobs/string/cancel"{ "completed_at": 0, "created_at": 0, "error": { "property1": null, "property2": null }, "expires_at": 0, "id": "string", "metadata": { "property1": "string", "property2": "string" }, "object": "job", "operation": "string", "progress": { "property1": null, "property2": null }, "result": { "property1": null, "property2": null }, "result_deleted_at": 0, "started_at": 0, "status": "queued", "usage": { "property1": null, "property2": null }}/v1/jobs/{jobId}/contentAuthorization
bearerAuth In: header
Path Parameters
^job_[a-z0-9]{20}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/jobs/string/content"{ "deleted": true}/v1/jobs/{jobId}/eventsAuthorization
bearerAuth In: header
Path Parameters
^job_[a-z0-9]{20}$Header Parameters
Response Body
text/event-stream
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/jobs/string/events""string"/v1/jobs/{jobId}/stepsAuthorization
bearerAuth In: header
Path Parameters
^job_[a-z0-9]{20}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/jobs/string/steps"{ "data": [ { "completed_at": 0, "cost_usd": "string", "created_at": 0, "error": { "property1": null, "property2": null }, "id": "string", "job_id": "string", "key": "string", "object": "job.step", "operation": "string", "output": { "property1": null, "property2": null }, "requested_model": "string", "resolved_model": "string", "response": { "property1": null, "property2": null }, "started_at": 0, "status": "blocked", "usage": { "property1": null, "property2": null } } ], "has_more": true, "last_id": "string", "object": "list"}/v1/jobs/{jobId}/steps/{stepId}Authorization
bearerAuth In: header
Path Parameters
^job_[a-z0-9]{20}$^stp_[a-z0-9]{20}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/jobs/string/steps/string"{ "completed_at": 0, "cost_usd": "string", "created_at": 0, "error": { "property1": null, "property2": null }, "id": "string", "job_id": "string", "key": "string", "object": "job.step", "operation": "string", "output": { "property1": null, "property2": null }, "requested_model": "string", "resolved_model": "string", "response": { "property1": null, "property2": null }, "started_at": 0, "status": "blocked", "usage": { "property1": null, "property2": null }}